=== debian/changelog ===
hydrogen-git (0.9.6+git20130930-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Mon, 30 Sep 2013 11:44:42 +0100

hydrogen-git (0.9.6+git20130905-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:07:29 +0100

hydrogen-git (0.9.6+git20130905-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:07:10 +0100

hydrogen-git (0.9.6+git20130905-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:06:50 +0100

hydrogen-git (0.9.6+git20130905-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Thu, 05 Sep 2013 19:06:22 +0100

hydrogen-git (0.9.6+git20130822-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:34:39 +0100

hydrogen-git (0.9.6+git20130822-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:34:27 +0100

hydrogen-git (0.9.6+git20130822-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:34:14 +0100

hydrogen-git (0.9.6+git20130822-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Thu, 22 Aug 2013 10:33:57 +0100

hydrogen-git (0.9.6+git20130624-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:13:04 +0100

hydrogen-git (0.9.6+git20130624-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:12:50 +0100

hydrogen-git (0.9.6+git20130624-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:12:36 +0100

hydrogen-git (0.9.6+git20130624-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Mon, 24 Jun 2013 14:11:51 +0100

hydrogen-git (0.9.6+git20130614-0~saucy1) saucy; urgency=low

  * Saucy build

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:38:31 +0100

hydrogen-git (0.9.6+git20130614-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:38:18 +0100

hydrogen-git (0.9.6+git20130614-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:38:05 +0100

hydrogen-git (0.9.6+git20130614-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Fri, 14 Jun 2013 09:37:45 +0100

hydrogen-git (0.9.6+git20130514-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Tue, 14 May 2013 01:00:43 +0100

hydrogen-git (0.9.6+git20130514-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Tue, 14 May 2013 01:00:31 +0100

hydrogen-git (0.9.6+git20130514-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Tue, 14 May 2013 01:00:14 +0100

hydrogen-git (0.9.6+git20130420-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sat, 20 Apr 2013 05:18:16 +0100

hydrogen-git (0.9.6+git20130420-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sat, 20 Apr 2013 05:18:04 +0100

hydrogen-git (0.9.6+git20130420-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Sat, 20 Apr 2013 05:17:47 +0100

hydrogen-git (0.9.6+git20130329-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Fri, 29 Mar 2013 07:05:36 +0000

hydrogen-git (0.9.6+git20130329-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Fri, 29 Mar 2013 07:05:24 +0000

hydrogen-git (0.9.6+git20130329-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Fri, 29 Mar 2013 07:05:02 +0000

hydrogen-git (0.9.6+git20130311-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Mon, 11 Mar 2013 09:49:29 +0000

hydrogen-git (0.9.6+git20130311-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Mon, 11 Mar 2013 09:49:17 +0000

hydrogen-git (0.9.6+git20130311-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Mon, 11 Mar 2013 09:49:03 +0000

hydrogen-git (0.9.6+git20130303-0~raring2) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sun, 03 Mar 2013 08:25:11 +0000

hydrogen-git (0.9.6+git20130303-0~quantal2) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sun, 03 Mar 2013 08:24:58 +0000

hydrogen-git (0.9.6+git20130303-0~precise2) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Sun, 03 Mar 2013 05:07:40 +0000

hydrogen-git (0.9.6+git20130224-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Sun, 24 Feb 2013 20:37:35 +0000

hydrogen-git (0.9.6+git20130224-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Sun, 24 Feb 2013 20:37:23 +0000

hydrogen-git (0.9.6+git20130224-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Sun, 24 Feb 2013 20:37:11 +0000

hydrogen-git (0.9.6+git20130208-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Fri, 08 Feb 2013 10:17:50 +0000

hydrogen-git (0.9.6+git20130208-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Fri, 08 Feb 2013 10:17:38 +0000

hydrogen-git (0.9.6+git20130208-0~precise1) precise; urgency=low

  * New Git (scripted)

 -- falkTX <falktx@gmail.com>  Fri, 08 Feb 2013 10:17:21 +0000

hydrogen-git (0.9.6+git20130206-0~raring1) raring; urgency=low

  * Raring build

 -- falkTX <falktx@gmail.com>  Wed, 06 Feb 2013 08:54:29 +0000

hydrogen-git (0.9.6+git20130206-0~quantal1) quantal; urgency=low

  * Quantal build

 -- falkTX <falktx@gmail.com>  Wed, 06 Feb 2013 08:54:18 +0000


