=== linux/debian/changelog ===
hydrogen (0.9.6-beta3) unstable; urgency=low

  * Release 0.9.6 beta3
  * new build system (cmake)
  * add undo for song/pattern editor
  * jack-session support
  * some bug fixes

  * Version 0.9.5
  * load playlists at startup
  * midi-learn works now with shift-click on some gui elements
  * multi-track export
  * LADI support
  * maximum number of bars is now configurable
  * added czech translation
  * fixed serveral export song failures
  * added ogg, flac, aiff export support
  * added some new commandline parameter for no_gui version
  * added rubberband-cli support
  * several improvements on sample editor
  * added NO_GUI_SUPPORT to build a version of hydrogen without a gui
  * added support for app bundles on OSX
  * non destructive sample editor
  * piano roll editor
  * instrument midi out
  * destructive midi recording
  * support for midi "note off" messages
  * virtual patterns
  * time line to change song tempo and add tags
  * director
  * and at least several small changes
  * Xml handling is now done by QtXml instead of TinyXML
  * improved support for non-ascii filenames / strings
  * remove direct dependencies to libflac
  * added -k/--kit flag to hydrogen binary to open named drumkit on startup

  * Version 0.9.4

  * added Catalonian translation
  * cleaned up the PlaylistBrowser and AudioFileBrowser UI's
  * fixed various issues with the AudioFileBrowser
  * fixed reading/saving instrument gain settings

  * Version 0.9.4 rc2

  * fixed "fifth beat bug"
  * fixed jack zombifications on startup / drumkit loading
  * fixed segmentation fault after starting with alsa and a blocked audio device
  * fixed several smaller issues
  * added qmake files for building on windows / osx
  * improved scons for building on osx
  
  * Version 0.9.4 rc1
  
  * fixed various buffer overflows
  * fixed segfault with jackdmp 
  * fixed saving of layer filenames
  * fixed resizing of note durations
  * fixed several smaller gui annoyments
  * changed sort order in soundlibrary browser
  * added default pattern category
  * new manual / changed translation method for the new manual

  * Version 0.9.4 beta3

  * over 39 bug fixes since beta2
  * if file DefaultSong.h2song not accessible we create a simple default song
  * patternpropertiesdialog improvements
  * added portaudio v19 patch
  * added "patches" dir
  * added optflags option to Scons
  * change post masterfader fx_return to pre masterfader fx_return
  * Replace jack_client_new() with jack_client_open().
  * added croation translation
  * added support for coreaudio / several osx improvements
  * keyboard now works with AZERTY and QWERTZ layouts
  * add desktop files
  * added new graphic: record icon for midi dialog
  * merge the audio-file-browser branch
  * add french translation files from Yan Morin
  * current loaded drumkit have different background color in soundlibrary
  * added label which displays the loaded soundlibrary
  * added "panic" midi event / shortcut (F12)
  * added russian translation


  * Version 0.9.4 beta2
  
  * QT4 port
  * Autosave
  * Jack port follows instrument names
  * Mute groups for instruments
  * New drumkit manager (with downloadable drumkits)
  * Save and load patterns
  * Jack transport master
  * Beatcounter
  * Playlist editor
  * MMC
  * Lead / lag (pattern editor) 


  * config option 'jack transport buffer offset' for ardour bug
  * fix broken lead / lag
  * several fixes into soundlibrary import
  * download class now supports http redirect correctly
  * config option 'adjust beatcounter offset' to get exact results
    with different hardware
  * new statusbar message to display longer messages than 30 chars
    setScrollStatusBarMessage( QString message, int ms )

 -- Alessandro Cominu <comix@users.sf.net>  Mon, 15 Sep 2008 12:00:00 +0200
